﻿/*
multiDAC - Movement and deformation analysis tool
Copyright (C) 2009 Felix Schmitt

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using InternalData;

namespace multidac
{
    public partial class AboutForm : Form
    {
        public AboutForm()
        {
            InitializeComponent();
        }

        public void setVersionLabel(string version)
        {
            versionLabel.Text = "Version " + version;
        }

        private void OkButton_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void licenceButton_Click(object sender, EventArgs e)
        {
            try
            {
                string filename = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location) + "\\licence.txt";
                if (System.IO.File.Exists(filename))
                    System.Diagnostics.Process.Start("notepad", filename);
                else
                    MessageBox.Show("Licence file not found. Reinstalling the application may solve this problem.",
                        "Missing file", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            catch (Exception)
            {
                ErrorCodes.error(ErrorCodes.ERR_UNKNOWN);
            }
        }

       }
}
