﻿/*
multiDAC - Movement and deformation analysis tool
Copyright (C) 2009 Felix Schmitt

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/**
 * \mainpage multiDAC - Free deformation and movement analysis tool
 * \section notes_section Notes
 * This is a developer documentation and not intended for end-users.
 * 
 * \section general_section General
 * multidac is a free (GPL) tools for processing video and image data in the field of
 * movement and deformation analysis. It uses plugins to support a variety of input media,
 * processing, export and analysis functions.
 * To improve processing speed, it uses Nvidias CUDA technology to process data on the GPU.
 * Other methods to analyze data may be implemented.
 * 
 * \section build_windows_section Building on Windows
 * To compile multidac, .Net Framework 2.0 is required. To additionally build LibProcCuda,
 * the Cuda Toolskit and SDK (at least 2.0 ?) must be installed (see cuda homepage).
 * The cuda build rule can be imported to Visual Studio for conviently building the dll. 
 * 
 * \section build_linux_section Building on Linux
 * At the moment (0.1.7), building and running multidac on Linux (using Mono) is quite
 * unstable. While image data can be imported and displayed, processing on GPUs doesn't work
 * and there are still bugs with CPU processing too.
 */

using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace multidac
{
    static class Program
    {
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        }
    }
}
